post
https://api.connex.trade/api/v1/trading/account
Mandatory to cancel all posted orders and close all existing positions. Unable to change PositionMode with existing orders/positions.
Important
- This setting only applies to derivatives positions and orders on the exchange.
- Spot orders and spot holdings are not affected by this operation.3.
- Before changing the position mode, you must close all derivatives positions and cancel all open derivatives orders on that exchange.
- If there are any remaining derivatives positions or active derivatives orders, the request will fail according to the exchange’s rules.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: TRADE.
Rate Limit
- 50 requests per 10 seconds.
Request
| Name | Type | Mandatory | Description |
|---|---|---|---|
| exchangeType | String | Y | Exchange, Binance / OKX |
| positionMode | String | Y | NET / BOTH,NET is one way (buy & sale)mode; BOTH is hedge (long/short) mode. |
NET means single way, also means buy & sale mode.
BOTH means hedge way, also means both mode or long/short mode.
